<?php
	
	if(!defined('ABSPATH')){
		die('-1');
	}
	
		global $wpdb;
		$tablename 				= $wpdb->prefix.'cookiehint_parameters';
		$charset_collate        = $wpdb->get_charset_collate();
	
		if($wpdb->get_var("SHOW TABLES LIKE '{$tablename}'") != $tablename){
			
			$sql_table = "CREATE TABLE $tablename (
				id mediumint(11) NOT NULL AUTO_INCREMENT,
				datenschutzlink varchar(255) NULL,
				impressumlink varchar(255) NULL,
				ablehnung_options int(11) NULL,
				ablehnung_redirect varchar(255) NULL,
				cookieblocker int(11) NULL,
				content_security_policy text NULL,
				modus varchar(255) NULL,
				tage_modus int(11) NULL,
				position int(11) NULL,
				css_style varchar(255) NULL,
				html_php_code varchar(255) NULL,
				PRIMARY KEY (id)
			) $charset_collate;";
			
			require_once(ABSPATH.'wp-admin/includes/upgrade.php');
			dbDelta($sql_table);
		}
		
		if($wpdb->get_var("SELECT COUNT(*) FROM $tablename") == 0){
			$data = array('datenschutzlink' => '/datenschutzerklaerung', 'impressumlink' => '/impressum', 'ablehnung_options' => 1, 'ablehnung_redirect' => 'https://www.cookieinfo.org/', 'cookieblocker' => 2, 'content_security_policy' => 'default-src \'self\' \'unsafe-inline\'', 'modus' => 1, 'tage_modus' => 365, 'position' => 0, 'css_style' => 'default', 'html_php_code' => 'default');
			$wpdb->insert($tablename,$data);
		}
		
